#!/bin/bash

HYPERTABLE_HOME=${HYPERTABLE_HOME:-"/opt/hypertable/current"}

cd `dirname $0`

CLASSPATH=$HYPERTABLE_HOME/lib/java/common/*:$HYPERTABLE_HOME/lib/java/apache2/*:.

# Compile
javac -classpath "$CLASSPATH" HypertableApiTest.java
if [ $? -ne 0 ]; then
  echo "java compile failed."
  exit 1
fi

# Run
java -ea -classpath $CLASSPATH HypertableApiTest
if [ $? -ne 0 ]; then
  echo "java test failed"
  exit 1
fi
