#!/bin/bash

HYPERTABLE_HOME=${HYPERTABLE_HOME:-"/opt/hypertable/current"}

cd `dirname $0`

make clean
env HT_HOME=$HYPERTABLE_HOME make
if [ $? -ne 0 ]; then
  echo "make failed with $?"
  exit 1
fi

$HYPERTABLE_HOME/bin/ht ./hypertable_api_test
if [ $? -ne 0 ]; then
  echo "cpp test failed with $?"
  exit 1
fi

